@ECHO OFF

CLS

ECHO.
ECHO  ***************************************
ECHO  *                                     *
ECHO  *        UNINSTALL ROUTINE FOR        *
ECHO  *                                     *
ECHO  *               RE-VILLE              *
ECHO  *                                     *
ECHO  ***************************************
ECHO.
ECHO  This routine will uninstall the track
ECHO  "Re-Ville" from your harddrive. It will
ECHO  also uninstall the skymap used in the
ECHO  track and reinstall the original skymap.
ECHO.
ECHO  NOTE: Do NOT run this batch file twice
ECHO  or when you haven't got the "Re-Ville"
ECHO  skymap installed! If you do, it'll de-
ECHO  lete the original nhood1 skymap!
ECHO.
ECHO  You may abort the uninstall process now
ECHO  by closing this window.
ECHO.
ECHO.
pause
CLS
ECHO  * Deleting track data
del ..\levels\re-ville\re-ville.cam
del ..\levels\re-ville\re-ville.fan
del ..\levels\re-ville\re-ville.fin
del ..\levels\re-ville\re-ville.fld
del ..\levels\re-ville\re-ville.fob
del ..\levels\re-ville\re-ville.ncp
del ..\levels\re-ville\re-ville.pan
del ..\levels\re-ville\re-ville.por
del ..\levels\re-ville\re-ville.tri
del ..\levels\re-ville\re-ville.vis
del ..\levels\re-ville\re-ville.w
del ..\levels\re-ville\re-ville.inf
del ..\levels\re-ville\re-ville.taz
del ..\levels\re-ville\re-ville.lit

ECHO  * Deleting track graphics
del ..\levels\re-ville\re-villea.bmp
del ..\levels\re-ville\re-villeb.bmp
del ..\levels\re-ville\re-villec.bmp
del ..\levels\re-ville\re-villed.bmp
del ..\levels\re-ville\re-villee.bmp
del ..\levels\re-ville\re-villef.bmp
del ..\levels\re-ville\re-villeg.bmp
del ..\levels\re-ville\re-villeh.bmp
del ..\levels\re-ville\re-villei.bmp
del ..\levels\re-ville\re-villej.bmp
del ..\gfx\re-ville.bmp

ECHO  * Deleting track folder
rd ..\levels\re-ville

ECHO  * Reinstalling original skymap
del ..\levels\nhood1\sky_ft.bmp
del ..\levels\nhood1\sky_lt.bmp
del ..\levels\nhood1\sky_rt.bmp
del ..\levels\nhood1\sky_bk.bmp
del ..\levels\nhood1\sky_tp.bmp
del ..\levels\nhood1\sky_bt.bmp
ren ..\levels\nhood1\org_sky_ft.bmp sky_ft.bmp
ren ..\levels\nhood1\org_sky_lt.bmp sky_lt.bmp
ren ..\levels\nhood1\org_sky_rt.bmp sky_rt.bmp
ren ..\levels\nhood1\org_sky_bk.bmp sky_bk.bmp
ren ..\levels\nhood1\org_sky_tp.bmp sky_tp.bmp
ren ..\levels\nhood1\org_sky_bt.bmp sky_bt.bmp
ECHO.
ECHO  ***************************************
ECHO  *     Uninstall Routine complete      *
ECHO  ***************************************
GOTO End
:Error

ECHO  Make sure you unzipped the original
ECHO  zip-file into your "Re-Volt" root
ECHO  directory.
:End