@ECHO OFF

CLS

ECHO.
ECHO  ***************************************
ECHO  *                                     *
ECHO  *         INSTALL ROUTINE FOR         *
ECHO  *                                     *
ECHO  *         THE RE-VILLE SKYMAP         *
ECHO  *                                     *
ECHO  ***************************************
ECHO.
ECHO  This routine will install the skymap
ECHO  for "Re-Ville" and backup the original
ECHO  "nhood1" skymap.
ECHO.
ECHO  You may abort the uninstall process now
ECHO  by closing this window.
ECHO.
ECHO.
pause
CLS

ECHO  * Renaming original skymap
ren ..\levels\nhood1\sky_ft.bmp org_sky_ft.bmp
ren ..\levels\nhood1\sky_lt.bmp org_sky_lt.bmp
ren ..\levels\nhood1\sky_rt.bmp org_sky_rt.bmp
ren ..\levels\nhood1\sky_bk.bmp org_sky_bk.bmp
ren ..\levels\nhood1\sky_tp.bmp org_sky_tp.bmp
ren ..\levels\nhood1\sky_bt.bmp org_sky_bt.bmp
copy /y ..\levels\re-ville_data\sky_ft.bmp ..\levels\nhood1\sky_ft.bmp
copy /y ..\levels\re-ville_data\sky_lt.bmp ..\levels\nhood1\sky_lt.bmp
copy /y ..\levels\re-ville_data\sky_rt.bmp ..\levels\nhood1\sky_rt.bmp
copy /y ..\levels\re-ville_data\sky_bk.bmp ..\levels\nhood1\sky_bk.bmp
copy /y ..\levels\re-ville_data\sky_tp.bmp ..\levels\nhood1\sky_tp.bmp
copy /y ..\levels\re-ville_data\sky_bt.bmp ..\levels\nhood1\sky_bt.bmp
ECHO.
ECHO  ***************************************
ECHO  *      Install Routine complete       *
ECHO  ***************************************
GOTO End
:Error

ECHO  Make sure you unzipped the original
ECHO  zip-file into your "Re-Volt" root
ECHO  directory.
:End